'use strict';

(function (Drupal) {
  Drupal.behaviors.oembedLazyload = {
    attach: function attach(context) {
      var video_embeds = context.querySelectorAll('.oembed-lazyload[data-strategy="onclick"]');
      for(let i = 0; i < video_embeds.length; ++i) {
        const video_embed = video_embeds[i];
        const button = video_embed.querySelector('.oembed-lazyload__button');

        button.addEventListener('click', function () {
          var iframe = video_embed.querySelector('.oembed-lazyload__iframe');
          var src = iframe.getAttribute('data-src');
          iframe.removeAttribute('data-src');
          iframe.setAttribute('src', src);
          button.classList.add('oembed-lazyload__button--loading');
          return false;
        });
      }
    }
  };
})(Drupal);
